INSERT INTO sscCategory (code, name, description, isActive, categoryTreeID, header, footer, smallImage, mediumImage, largeImage, parentCategory, categoryOrder) 
VALUES ('_welcome','Welcome','Welcome to our store!',1,0,NULL,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO sscProduct (code, name, shortDescription, description, isActive, unitCost, unitPrice, altPrice, weight, header, footer, isTaxed, smallImage, mediumImage, largeImage, primaryCategoryID, productOrder) 
VALUES ('GiftCertificate','Gift Certificate','Purchase a gift certificate redeemable in this online store, for a friend, colleague, or relative.','Purchase a gift certificate redeemable in this online store, for a friend, colleague, or relative. You can choose to have the gift certificate emailed to you for you to deliver yourself, or directly another recipient. An email will be sent with a code your friend can use to apply the gift certificate to any purchase made in this store.','0',0,0,0,0,NULL,NULL,'0','','','',NULL,1);

INSERT INTO sscAttribute (attributeCode, attributeName, attributeDescription, attributeIsActive, attributeIsRequired, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, defaultOptionID, attributeOrder)
VALUES('GiftCertificateAmount', 'Amount', '', '1', '1', 'compact', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO sscAttribute (attributeCode, attributeName, attributeDescription, attributeIsActive, attributeIsRequired, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, defaultOptionID, attributeOrder)
VALUES('GiftCertificateMessageFrom', 'From', '', '1', '0', 'compactInput', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 2);
INSERT INTO sscAttribute (attributeCode, attributeName, attributeDescription, attributeIsActive, attributeIsRequired, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, defaultOptionID, attributeOrder)
VALUES('GiftCertificateMessageTo', 'To', '', '1', '0', 'compactInput', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3);
INSERT INTO sscAttribute (attributeCode, attributeName, attributeDescription, attributeIsActive, attributeIsRequired, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, defaultOptionID, attributeOrder)
VALUES('GiftCertificateEmail', 'Recipient Email', 'If you would like the gift certificate emailed to the recipient, enter the email address here. If left blank, the gift certificate will be sent to the delivery email address of your order.', '1', '0', 'compactInput', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 4);
INSERT INTO sscAttribute (attributeCode, attributeName, attributeDescription, attributeIsActive, attributeIsRequired, attributeType, attributeUnitCost, attributeUnitPrice, attributeAltPrice, attributeWeight, attributeSmallImage, attributeLargeImage, defaultOptionID, attributeOrder)
VALUES('GiftCertificateMessage', 'Message', '', '1', '0', 'expandedInput', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 5);

INSERT INTO sscOption(attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder)
VALUES((select attributeID from sscAttribute where attributeCode = 'GiftCertificateAmount'), 'GiftCertTenDollars', '$10.00 Gift Certificate', '', '1', 0, 10.00, NULL, 0, NULL, NULL, 1);
INSERT INTO sscOption(attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder)
VALUES((select attributeID from sscAttribute where attributeCode = 'GiftCertificateAmount'), 'GiftCertTwentyFiveDollars', '$25.00 Gift Certificate', '', '1', 0, 25.00, NULL, 0, NULL, NULL, 1);
INSERT INTO sscOption(attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder)
VALUES((select attributeID from sscAttribute where attributeCode = 'GiftCertificateAmount'), 'GiftCertFiftyDollars', '$50.00 Gift Certificate', '', '1', 0, 50.00, NULL, 0, NULL, NULL, 1);
INSERT INTO sscOption(attributeID, optionCode, optionName, optionDescription, optionIsActive, optionUnitCost, optionUnitPrice, optionAltPrice, optionWeight, optionSmallImage, optionLargeImage, optionOrder)
VALUES((select attributeID from sscAttribute where attributeCode = 'GiftCertificateAmount'), 'GiftCertOneHundredDollars', '$100.00 Gift Certificate', '', '1', 0, 100.00, NULL, 0, NULL, NULL, 1);

INSERT INTO sscProductAttribute (productID, attributeID, productAttributeOrder) 
VALUES ((select productID from sscProduct where code = 'GiftCertificate'), (select attributeID from sscAttribute where attributeCode = 'GiftCertificateAmount'), 1);
INSERT INTO sscProductAttribute (productID, attributeID, productAttributeOrder) 
VALUES ((select productID from sscProduct where code = 'GiftCertificate'), (select attributeID from sscAttribute where attributeCode = 'GiftCertificateMessageFrom'), 2);
INSERT INTO sscProductAttribute (productID, attributeID, productAttributeOrder) 
VALUES ((select productID from sscProduct where code = 'GiftCertificate'), (select attributeID from sscAttribute where attributeCode = 'GiftCertificateMessageTo'), 3);
INSERT INTO sscProductAttribute (productID, attributeID, productAttributeOrder) 
VALUES ((select productID from sscProduct where code = 'GiftCertificate'), (select attributeID from sscAttribute where attributeCode = 'GiftCertificateEmail'), 4);
INSERT INTO sscProductAttribute (productID, attributeID, productAttributeOrder) 
VALUES ((select productID from sscProduct where code = 'GiftCertificate'), (select attributeID from sscAttribute where attributeCode = 'GiftCertificateMessage'), 5);
