<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${!empty categoryTree and !categoryTree['empty']}">
	<script language="JavaScript" type="text/javascript">
		<!--
			function enableRestrictByCategory(form) {
				if (form.type.value == 1) {
					form.categoryCode.disabled = false;
				} else {
					form.categoryCode.disabled = true;
				}
			}
		//-->
	</script>
</c:if>
<bean:parameter id="searchString" name="searchString" value=""/>
<div id="searchPage">
	<div class="page-header">
		<h1><bean:message key="search.heading" bundle="/product"/></h1>
	</div>
	<c:choose>
		<c:when test="${settings.map.advancedSearchOn eq 1}">
			<form id="searchForm" name="searchForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/AdvancedSearch.do")%>" method="post">
				<input id="searchString" name="searchString" type="search" value="${fn:escapeXml(searchString)}" accesskey="s" />
				<br/><br/>
				<select class="searchType" name="type"<c:if test="${!empty categoryTree and !categoryTree['empty']}"> onchange="enableRestrictByCategory(this.form);"</c:if>>
					<option value="1" selected="selected"><bean:message key="search.searchForProducts" bundle="/product"/></option>
					<option value="2"><bean:message key="search.searchForCategories" bundle="/product"/></option>
					<option value="3"><bean:message key="search.searchForManufacturers" bundle="/product"/></option>
					<option value="4"><bean:message key="search.searchForAll" bundle="/product"/></option>
				</select>
				<c:if test="${!empty categoryTree and !categoryTree['empty']}">
					<br/><br/>
					<select class="searchCategoryCode" name="categoryCode">
						<option value="" selected="selected"><bean:message key="search.restictByCategory" bundle="/product"/> ...</option>
						<option value="">--</option>
						<logic:iterate name="categoryTree" id="category">
							<option value="${category.code}">${category.name}</option>
						</logic:iterate>
					</select>
				</c:if>
				<br/><br/>
				<span class="buttonWrap"><input id="searchSubmit" class="btn btn-primary" type="submit" value="<bean:message key="search.button" bundle="/product"/>" /></span>
			</form>
		</c:when>
		<c:otherwise>
			<form id="searchForm" name="searchForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/Search.do")%>" method="post">
				<input id="searchString" name="searchString" type="search" value="${fn:escapeXml(searchString)}" accesskey="s" />
				<span class="buttonWrap"><input id="searchSubmit" class="btn btn-primary" type="submit" value="<bean:message key="search.button" bundle="/product"/>" /></span>
			</form>
		</c:otherwise>
	</c:choose>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
