<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.order.CartDiscountProcessor,com.softslate.commerce.businessobjects.product.Discount" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<%
	if (request.getAttribute("cartDiscountProcessor") == null) {
		BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
		request.setAttribute("cartDiscountProcessor", bof.createObject("cartDiscountProcessorImplementer"));
	}
%>
<c:set var="numberToDisplay" value="${settings.map.storeDiscountsCount}"/>
<c:if test="${settings.map.storeDiscountsCount > 0 and !empty storeDiscounts and !storeDiscounts['empty']}">
	<div class="storeDiscounts panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><bean:message key="product.storeDiscountsHeader" bundle="/product"/></h3>
		</div>
		<div class="list-group">
			<c:set var="numberToDisplay" value="${settings.map.storeDiscountsCount}"/>
			<c:forEach var="discount" items="${applicationScope.storeDiscounts}" begin="0" end="${numberToDisplay}">
				<c:if test="${discount.isActive and discount.itemsAppliesType eq '[global]'}">
					<% if (((CartDiscountProcessor)request.getAttribute("cartDiscountProcessor")).isDiscountOk((Discount) pageContext.getAttribute("discount"), null)) { %>
						<div id="storeDiscount-${discount.code}" class="discount list-group-item clearfix">
							<p class="name">
								<c:out value="${discount.name}" escapeXml="false"/>
							</p>
							<c:if test="${!empty discount.description}">
								<p class="description">
									<c:out value="${discount.description}" escapeXml="false"/>
								</p>
							</c:if>
							<c:if test="${!empty discount.expirationDate}">
								<p class="expirationDate">
									<fmt:parseDate value="${discount.expirationDate}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
									<span class="label"><bean:message key="product.discountExpires" bundle="/product"/>:</span>
									<fmt:formatDate value="${parsed}" type="both" />
								</p>
							</c:if>
						</div>
					<%  } %>
				</c:if>
			</c:forEach>
		</div>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
