<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<!-- Start productReviewFormGuts.jsp -->
<c:if test="${!empty productNamesCodesIDs}">
	<bean:size id="productSize" name="productNamesCodesIDs"/>
</c:if>
<c:if test="${!empty attributes}">
	<bean:size id="attributesSize" name="attributes"/>
</c:if>
<tr>
	<td class="setting property">
		Product:
	</td>
	<td>
		<c:choose>
			<c:when test="${!empty productSize and productSize <= settings.map.maxAdminRecordsToDisplay}">
				<select name="productID" style="width: 95%">
					<option value="">
						[Please Select]
					</option>
					<option value="">
						-------------
					</option>
					<logic:notEmpty name="productNamesCodesIDs">
						<logic:iterate id="product" name="productNamesCodesIDs" indexId="j">
							<option value="<c:out value='${product[2]}'/>" <c:if test="${productReviewAddEditForm.productID eq product[2]}">selected="selected"</c:if>>
								<c:out value='${product[1]}' />
								-
								<c:out value='${product[0]}' />
							</option>
						</logic:iterate>
					</logic:notEmpty>
				</select>
			</c:when>
			<c:otherwise>
				<html:text maxlength="16" name="productReviewAddEditForm" property="productID" />
				<c:if test="${!empty productReview}">
					(<a href="<bean:write name="administratorURL"/>/ProductEditForm.do?productID=<c:out value='${productReview.product.productID}'/>&categoryID="><c:out value='${productReview.product.code}'/></a>
					- <c:out value='${productReview.product.name}'/>)
				</c:if>
			</c:otherwise>
		</c:choose>
		<div class="fieldDescription">The product associated with this review.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Status:</td>
	<td class="value">
    <html:select styleClass="reviewCombo" name="productReviewAddEditForm" property="status">
      <html:option value="1">Approved</html:option>
      <html:option value="0">Not Approved</html:option>
    </html:select>
	</td>
</tr>
<tr>
	<td class="setting">Nickname:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="nickname" />
	<div class="fieldDescription">The Nickname of the submitter.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Email:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="email" />
	<div class="fieldDescription">The Email Address of the submitter from their customer record.</div>
	</td>
</tr>
<tr>
	<td class="setting">Rating:</td>
	<td class="value">
    <html:select styleClass="reviewCombo" name="productReviewAddEditForm" property="rating">
      <html:option value="1">1</html:option>
      <html:option value="2">2</html:option>
      <html:option value="3">3</html:option>
      <html:option value="4">4</html:option>
      <html:option value="5">5</html:option>
    </html:select>
	<div class="fieldDescription">The rating.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Review:</td>
	<td class="value"><html:textarea styleClass="textbox" name="productReviewAddEditForm" rows="10" property="review" />
	<div class="fieldDescription">The review.</div>
	</td>
</tr>
<tr>
	<td class="setting">First Name:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="firstName" />
	<div class="fieldDescription">The first name of the submitter.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Last Name:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="lastName" />
	<div class="fieldDescription">The last name of the submitter.</div>
	</td>
</tr>
<tr>
	<td class="setting">City:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="city" />
	<div class="fieldDescription">The city of the submitter.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">State:</td>
	<td class="value">
    <html:select styleId="billingState" name="productReviewAddEditForm" property="state" styleClass="selectboxWide">
      <option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
      <option value="">-------------</option>
      <html:options collection="states" property="code" labelProperty="name"/>
    </html:select>
	<div class="fieldDescription">The state of the submitter.</div>
	</td>
</tr>
<tr>
	<td class="setting">Country:</td>
	<td class="value">
    <html:select styleId="billingCountry" name="productReviewAddEditForm" property="country" styleClass="selectboxWide">
      <option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
      <option value="">-------------</option>
      <html:options collection="countries" property="code" labelProperty="name"/>
    </html:select>
	<div class="fieldDescription">The country.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Age:</td>
	<td class="value">
    <html:select styleClass="reviewCombo" name="productReviewAddEditForm" property="age">
      <html:option value="">[None]</html:option>
      <html:option value="Teen (13-18)">Teen (13-18)</html:option>
      <html:option value="Young Adult (19-24)">Young Adult (19-24)</html:option>
      <html:option value="Adult (25-100)">Adult (25-100)</html:option>
    </html:select>
	<div class="fieldDescription">The age of the submitter.</div>
	</td>
</tr>
<tr>
	<td class="setting">Image Path:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="imagePath" />
	<div class="fieldDescription">The path to the image submitted</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">IP Address:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productReviewAddEditForm" property="ipAddress" />
	<div class="fieldDescription">The IP address of the user submitting the review.</div>
	</td>
</tr>

<c:choose>
<c:when test="${productReviewAddEditForm.customerID != 0}" >
  <tr>
    <td class="setting">Customer ID:</td>
    <td class="value">
		<html:text maxlength="16" name="productReviewAddEditForm" property="customerID" />
		<a href="${settings.map.administratorURL}/CustomerEditForm.do?customerID=${productReviewAddEditForm.customerID}&parentIDField=">${productReview.customer.userName}</a>
    	<div class="fieldDescription">The customer ID of the reviewer.</div>
    </td>
  </tr>
</c:when>
<c:otherwise>
  <tr>
    <td class="setting">Customer ID:</td>
    <td class="value">
		<html:text maxlength="16" name="productReviewAddEditForm" property="customerID" />
    	<div class="fieldDescription">The customer ID of the reviewer.</div>
    </td>
  </tr>
</c:otherwise>
</c:choose>
<c:if test="${productReviewAddEditForm.productReviewID > 0}" >
  <tr class="altRow">
    <td class="setting">Date Created:</td>
    <td class="value">
		<html:hidden name="productReviewAddEditForm" property="created" />
		${productReviewAddEditForm.created}
    <div class="fieldDescription">The date the review was created.</div>
    </td>
  </tr>
</c:if>
<!-- End productReviewFormGuts.jsp -->