<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<!-- Start basicTaxExtra.jsp -->
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Basic Tax Rate - Quick Add</h2>
		<form name="basicTaxRateQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/BasicTaxQuickAdd.do">
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCountryID">Country:</label><br/>
						<html:select name="basicTaxAddEditForm" property="countryID" styleId="quickAddCountryID">
							<option value="">Please Select</option>
							<option value="">-------------</option>
							<html:options collection="countries" property="countryID" labelProperty="name"/>
						</html:select>
					</td>
					<td class="extraField">
						<label for="quickAddStateID">State:</label><br/>
						<html:select name="basicTaxAddEditForm" property="stateID" styleId="quickAddStateID">
							<option value="">[Any]</option>
							<option value="">-------------</option>
							<html:options collection="states" property="stateID" labelProperty="name"/>
						</html:select>
					</td>
					<%--<div class="quickAddField">
						<label for="city">City:</label><br/>
						<html:text maxlength="100" name="basicTaxAddEditForm" property="city"/>
					</div>--%>
					<td class="extraField">
						<label for="quickAddPostalCode">Postal Code:</label><br/>
						<html:text maxlength="100" name="basicTaxAddEditForm" property="postalCode" styleId="quickAddPostalCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddRate">Rate:</label><br/>
						<html:text maxlength="9" name="basicTaxAddEditForm" property="rate" styleId="quickAddRate"/>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
	</div>
</c:if>
<!-- End basicTaxExtra.jsp -->
