UPDATE sscSetting SET smallValue='3.0.2' WHERE code='dataObjectsVersion';

UPDATE sscSetting SET valueType = 'textValue' WHERE code = 'possibleOrderStatuses';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'authorizeNetTestRequest';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'authorizeNetEmailCustomer';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypalExpressRedoShipping';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointAmex';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointCardType';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointUseDigest';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointCustomerMailAttach';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointMerchantMailAttach';
UPDATE sscSetting SET valueType = 'booleanValue' WHERE code = 'paypointRequireCv2';

UPDATE sscSetting SET description = 'The marker used as a subdirectory when generating search-engine friendly links (e.g. "do" in "/context/do/page/about"). <em>Patterns matching this value must be mapped to the application server hosting the store.</em> This setting may also be blank, in which each of the markers defined below must be mapped to the application server hosting the store.' WHERE code = 'seoURLMarker';
UPDATE sscSetting SET description = 'The marker used as a subdirectory when generating search-engine friendly links to Page Screens (e.g. "page" in "/context/do/page/about").' WHERE code = 'seoPageMarker';
UPDATE sscSetting SET description = 'The version represented by current state of the database objects in the database. Normally, this setting should not be changed manually. It is updated automatically by running the upgrade process.' WHERE code = 'dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('skipDiscountsAndShippingOnItemEdit','Skip Discounts and Shipping on Item Edit','To optimize the processing involved with editing a cart item, set this flag to true. If true, the system will reprocess discounts and shipping just once when an item is edited or removed.','ADVANCEDSYSTEM', 'booleanValue',0,NULL,NULL,NULL);
