<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<script type="text/javascript">
(function($) {
	$(document).ready(function() {
		// Select "Enter new card info" if one of the fields in the CC form is clicked.
		$("#authorizeNetAIMForm input").focus(function() {
			$("#enterNew").prop("checked", true);
		});
	});
})(jQuery);
</script>
<div class="form-group">
	<label class="requiredLabel col-sm-3"><bean:message key="paymentForms.paymentProfiles" bundle="/order" /></label>
	<div class="col-sm-9">
		<table id="profilesTable" class="table table-striped">
			<c:forEach var="index" begin="0" end="${fn:length(paymentProfiles)-1}" step="1">
				<c:set var="reverseIndex" value="${fn:length(paymentProfiles)-1-index}"/>
				<c:set var="paymentProfile" value="${paymentProfiles[reverseIndex]}"/>				
				<tr id="cimProfile-${paymentProfile.customerPaymentProfileId}" class="cimProfile">
					<td class="cimProfileChoose">
						<input type="radio" id="${paymentProfile.customerPaymentProfileId}${index}" name="paymentProfileID" value="${paymentProfile.customerPaymentProfileId}" <c:if test="${index == 0}">checked="checked"</c:if>/>
					</td>
					<c:choose>
						<c:when test="${!empty paymentProfile.payment and !empty paymentProfile.payment.creditCard}">
							<td class="profileCard">${paymentProfile.payment.creditCard.cardNumber}</td>
							<td class="profileCardType">${paymentProfile.payment.creditCard.cardType}</td>
							<td class="profileExpirationDate">${paymentProfile.payment.creditCard.expirationDate}</td>
						</c:when>
						<c:when test="${!empty paymentProfile.payment and !empty paymentProfile.payment.bankAccount}">
							<td class="profileCard">${paymentProfile.payment.bankAccount.accountNumber}</td>
							<td class="profileCardType">${paymentProfile.payment.bankAccount.accountType}</td>
							<td class="profileExpirationDate">${paymentProfile.payment.bankAccount.nameOnAccount}</td>
						</c:when>
					</c:choose>
				</tr>
			</c:forEach>
			<tr id="cimProfile-enterNew" class="cimProfile">
				<td class="cimProfileChoose">
					<input type="radio" id="enterNew" name="paymentProfileID" value=""/>
				</td>
				<td class="profileCard" colspan="3"><label for="enterNew"><bean:message key="paymentForms.enterNewCardInfo" bundle="/order" /></label></td>
			</tr>
		</table>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->