<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${!empty requestScope.searchList.simpleFacetResultCollection}">
	<c:set var="incomingFacets" scope="request" value=",${fn:join(searchList.facets, ',')},"/>
	<div class="filterButton navbar navbar-default visible-xs">
		<button type="button" class="btn btn-default navbar-toggle pull-left" data-toggle="collapse" data-target="#facetedSearch">
			<bean:message key="search.filterOptions" bundle="/product" />&nbsp;<b class="caret"></b>
		</button>
	</div>
	<div id="facetedSearch" class="collapse navbar-collapse">
		<form class="facetedSearchForm" method="get" action="${customerURL}${linkBase}">
			<c:if test="${!empty param.searchString}"><input type="hidden" name="searchString" value="${fn:escapeXml(param.searchString)}"/></c:if>
			<c:if test="${!empty param.sortBy}"><input type="hidden" name="sortBy" value="${fn:escapeXml(param.sortBy)}"/></c:if>
			<c:if test="${!empty requestScope.currentCategory.code}"><input type="hidden" name="code" value="${currentCategory.code}"/></c:if>
			<c:if test="${!empty manufacturer.code}"><input type="hidden" name="code" value="${manufacturer.code}"/></c:if>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'category')}">
							<c:set var="displayedHeader" scope="request" value="${false}"/>
							<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchCategories.jsp">
								<ssc:put name="facetGroup" beanName="facetTopGroup"/>
							</ssc:insert>
							<c:if test="${requestScope.displayedHeader}">
									</ul>
								</div>
							</c:if>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'manufacturer')}">
							<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchManufacturers.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'priceRange')}">
							<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchPriceRange.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${fn:endsWith(facetTopGroup.facetName, 'averageRating')}">
							<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchAverageRating.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<c:forEach var="facetRoot" items="${requestScope.searchList.simpleFacetResultCollection}">
				<c:forEach var="facetTopGroup" items="${facetRoot.subResults}">
					<c:set var="facetTopGroup" scope="request" value="${facetTopGroup}"/>
					<c:if test="${!fn:endsWith(facetTopGroup.facetName, 'category') && !fn:endsWith(facetTopGroup.facetName, 'manufacturer') && !fn:endsWith(facetTopGroup.facetName, 'priceRange') && !fn:endsWith(facetTopGroup.facetName, 'averageRating')}">
							<ssc:insert page="/WEB-INF/layouts/default/product/facetedSearchOther.jsp"/>
					</c:if>
				</c:forEach>
			</c:forEach>
			<div class="refineButton">
				<span class="buttonWrap"><input class="btn btn-primary" type="submit" value="<bean:message key="search.filter" bundle="/product" />"/></span>
			</div>
		</form>
	</div>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
