<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${!empty categoryCollection}">
	<logic:iterate name="categoryCollection" id="category">
		<c:if test="${category.isActive}">
			<c:set var="categoryLinkCode" value="${category.code}"/>
			<c:set var="linkAction" value="Category.do"/>
			<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
			
			<%-- Display the category name --%>
			<li class="${category.code}SiteMapCategoryLink">
				<ssc:link href="${customerURL}/${linkAction}?code=${categoryLinkCode}" styleClass="siteMapSubCategory"><c:out value="${category.name}" escapeXml="false"/></ssc:link>
				
				<%-- Display subcategories --%>
				<logic:notEmpty name="category" property="subcategoryCollection">
					<c:if scope="request" var="topLevel" test="${false}"/>
					<c:set var="categoryCollection" value="${category.subcategoryCollection}" scope="request"/>
					<ul class="siteMapCateogry">
						<ssc:insert page="/WEB-INF/layouts/default/product/siteMapCategories.jsp" flush="false"/>
					</ul>
				</logic:notEmpty>
			</li>
		</c:if>
	</logic:iterate>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
