package com.softslate.commerce.businessobjects.payment;

/**
 * Processes a payment in the store for a given user's cart. Alternative name for the AuthorizetNetAPIProcessor, so it
 * supports legacy configurations.
 * <p>
 * If the transaction is declined a result code of 10000 is returned, if it is successful a result code of 0 is
 * returned, and otherwise the result code sent back from Authorize.net is returned.
 * 
 * @author David Tobey
 * @see com.softslate.commerce.daos.payment.PaymentDAO
 */
public class AuthorizeNetAIMProcessor extends AuthorizeNetAPIProcessor implements PaymentProcessor {

}
