package com.softslate.commerce.businessobjects.payment;

import java.util.Map;

/**
 * Defines the API call required by PayPal Direct, for the US SOAP-based API.
 * Note, the UK PayPal Direct implementation uses name-value pairs and does not
 * implement this interface.
 * 
 * @author Ashish Jain
 * 
 */
public interface IPayPalDirectPaymentProcessor extends PaymentProcessor {

	public Map processDoDirectPayment(Map parameters) throws Exception;

}
