package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * Struts action class used for requests for the registration form. Used for
 * requests to "/RegisterForm.do".
 * <p>
 * The <code>execute</code> method of this class simply returns a successful
 * forward.
 * 
 * @author David Tobey
 * 
 */
public class RegisterFormAction extends AccountAction {
	static Log log = LogFactory.getLog(AccountHistoryAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");

		// Preserve the original request so it can be forwarded.
		String originalRequest = (String) request
				.getAttribute("originalRequest");
		if (originalRequest != null) {
			RegisterForm baseForm = (RegisterForm) form;
			baseForm.setOriginalRequest(originalRequest);
		}
		return mapping.findForward("success");
	}
}
