package com.softslate.commerce.daos.order;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO that runs miscellaneous queries related to countries.
 * 
 * @author David Tobey
 * 
 */
public interface CountryGatewayDAO extends DAOInterface {
	abstract Map loadCountriesAndCount(Map parameters)
			throws Exception;

	abstract Map editDeleteCountries(Map parameters,
			BusinessObjectFactory bof) throws Exception;
}
