CREATE TABLE sscProductReview (
  productReviewID number(10,0) not null,
  productID number(10,0) not null,
  status number(10,0) default 0,
  class varchar2(255) DEFAULT 'com.softslate.commerce.businessobjects.product.ProductReviewBean',
  nickname varchar2(255),
  firstName varchar2(255),
  lastName varchar2(255),
  email varchar2(255),
  age varchar2(255),
  city varchar2(255),
  state varchar2(255),
  review clob,
  rating number(10,0),
  created varchar2(255),
  imagePath varchar2(255),
  ipaddress varchar2(255),
  country varchar2(255),
  customerID number(10,0),
  primary key (productReviewID)
);

alter table sscProductReview add constraint FKPRP foreign key (productID) references sscProduct;
alter table sscProductReview add constraint FKPRC foreign key (customerID) references sscCustomer ON DELETE SET NULL;

CREATE INDEX sscProductReview_rating ON sscProductReview (rating);
CREATE INDEX sscProductReview_nickname ON sscProductReview (nickname);
